Certain action in a flash-applet makes Firefox crash

RESOLVED WORKSFORME

Status

External Software Affecting Firefox
Flash (Adobe)
--
critical
RESOLVED WORKSFORME
10 years ago
2 years ago

People

(Reporter: J. Juergens, Unassigned)

Tracking

({crash})

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.13) Gecko/20080316 SUSE/2.0.0.13-0.1 Firefox/2.0.0.13
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.13) Gecko/20080316 SUSE/2.0.0.13-0.1 Firefox/2.0.0.13

First of all, this seems to be GTK-related (maybe no Firefox-Bug at all):

Whenever I go to the site mentioned above and take the actions mentioned below, Firefox crashes.

On the console, I get the following messages:

Flash Player: Warning: environment variable G_FILENAME_ENCODING is set and is not UTF-8

Gtk-ERROR **: file gtkplug.c: line 182 (gtk_plug_set_is_child): assertion failed: (!GTK_WIDGET (plug)->parent)
aborting...
/usr/bin/firefox: line 208: 14056 Aborted             $MOZ_PROGRAM "$@"


Just viewing the applet isn't enough, you need to click the specific link.

I should add that I use "NoScript" and on the page, I only allowed the specific applet to run by clicking on it.




Reproducible: Always

Steps to Reproduce:
1. Go to http://www.rueckgrat.de/
2. In the Flash-Applet, click on "Skip Intro" (right bottom corner)
3. On the next screen, click anywhere on the text in top left corner (for example ">>gesund leben")
4. On my computer, firefox crashes



Addons installed:
-Adblock Plus 0.7.5.3
-German Dictionary 1.0.1
-DOM Inspector 1.8.1.13
-Firebug 1.05
-Greasemonkey 0.7.20080121.0
-NoScript 1.4.9.5
-TamperData 9.8.1
-User Agent Switcher 0.6.10

Comment 1

10 years ago
This isn't our fault. Load about:plugins report the name of your flash plugin here. Then report this problem to your flash vendor.
Severity: normal → critical
Component: General → Plug-ins
Keywords: crash
Product: Firefox → Core
QA Contact: general → plugins
Version: unspecified → 1.8 Branch
(Reporter)

Comment 3

10 years ago
Ok, when I load about:plugins, I actually get 2 plugins that are called "Shockwave Flash" and both are associated with swf and spi extensions.

First:
******
    Dateiname: libflashplayer.so
    Shockwave Flash 9.0 r115

Second:
********
    Dateiname: libflashplayer.so
    Shockwave Flash 9.0 d78

Since they are both from Adobe, I might send them a bug-report.

Comment 4

10 years ago
Does it work if uninstall the second one?

Comment 5

8 years ago
do you still see this problem using most recent version of firefox (3.5, 3.6 or trunk build) and latest version of plugin software?
Whiteboard: [closeme 2010-04-21]

Comment 6

8 years ago
https://developer.mozilla.org/En/How_to_get_a_stacktrace_for_a_bug_report#Linux
Component: Plug-ins → Flash (Adobe)
Product: Core → Plugins
QA Contact: plugins → adobe-flash
Version: 1.8 Branch → 9.x
(Reporter)

Comment 7

8 years ago
I've checked on the site I mentioned above but I'm not sure whether they've changed the Flash movie to a new version. Anyway, when clicking anywhere in the applet, no problems occur (I'm currently using Firefox 3.6.3 and Flash 10.0 r45).

Updated

8 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME

Updated

8 years ago
Whiteboard: [closeme 2010-04-21]
Target Milestone: --- → Feb 2010

Comment 8

2 years ago
Version and milestone values are being reset to defaults as part of product refactoring.
Target Milestone: Feb 2010 → ---
Version: 9.x → unspecified
You need to log in before you can comment on or make changes to this bug.